program Project1;

{$APPTYPE CONSOLE}

uses
  Windows;

var S: array[0..255] of char;
    S1: string;
begin
 CharToOem('Привет! Введите свое имя:', S);
 Writeln(S);
 Readln(S1);
 OemToChar(PChar(S1), PChar(S1));
 S1 := 'Привет, ' + S1;
 CharToOem(PChar(S1), S);
 Writeln(S);
 Readln;
end.
